Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.pain_001_002_02 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_001_002_02

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentificationSCT` `createAccountIdentificationSCT()` Create an instance of `AccountIdentificationSCT`
`AmountTypeSCT` `createAmountTypeSCT()` Create an instance of `AmountTypeSCT`
`BranchAndFinancialInstitutionIdentificationSCT` `createBranchAndFinancialInstitutionIdentificationSCT()` Create an instance of `BranchAndFinancialInstitutionIdentificationSCT`
`CashAccountSCT1` `createCashAccountSCT1()` Create an instance of `CashAccountSCT1`
`CashAccountSCT2` `createCashAccountSCT2()` Create an instance of `CashAccountSCT2`
`CreditorReferenceInformationSCT` `createCreditorReferenceInformationSCT()` Create an instance of `CreditorReferenceInformationSCT`
`CreditorReferenceTypeSCT` `createCreditorReferenceTypeSCT()` Create an instance of `CreditorReferenceTypeSCT`
`CreditTransferTransactionInformationSCT` `createCreditTransferTransactionInformationSCT()` Create an instance of `CreditTransferTransactionInformationSCT`
`CurrencyAndAmountSCT` `createCurrencyAndAmountSCT()` Create an instance of `CurrencyAndAmountSCT`
`DateAndPlaceOfBirth` `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`FinancialInstitutionIdentificationSCT` `createFinancialInstitutionIdentificationSCT()` Create an instance of `FinancialInstitutionIdentificationSCT`
`GenericIdentification3` `createGenericIdentification3()` Create an instance of `GenericIdentification3`
`GenericIdentification4` `createGenericIdentification4()` Create an instance of `GenericIdentification4`
`GroupHeaderSCT` `createGroupHeaderSCT()` Create an instance of `GroupHeaderSCT`
`OrganisationIdentificationSCTChoice` `createOrganisationIdentificationSCTChoice()` Create an instance of `OrganisationIdentificationSCTChoice`
`Pain00100102` `createPain00100102()` Create an instance of `Pain00100102`
`PartyIdentificationSCT1` `createPartyIdentificationSCT1()` Create an instance of `PartyIdentificationSCT1`
`PartyIdentificationSCT2` `createPartyIdentificationSCT2()` Create an instance of `PartyIdentificationSCT2`
`PartySCTChoice` `createPartySCTChoice()` Create an instance of `PartySCTChoice`
`PaymentIdentification1` `createPaymentIdentification1()` Create an instance of `PaymentIdentification1`
`PaymentInstructionInformationSCT` `createPaymentInstructionInformationSCT()` Create an instance of `PaymentInstructionInformationSCT`
`PaymentTypeInformationSCT1` `createPaymentTypeInformationSCT1()` Create an instance of `PaymentTypeInformationSCT1`
`PaymentTypeInformationSCT2` `createPaymentTypeInformationSCT2()` Create an instance of `PaymentTypeInformationSCT2`
`PersonIdentification3` `createPersonIdentification3()` Create an instance of `PersonIdentification3`
`PostalAddressSCT` `createPostalAddressSCT()` Create an instance of `PostalAddressSCT`
`PurposeSCT` `createPurposeSCT()` Create an instance of `PurposeSCT`
`RemittanceInformationSCTChoice` `createRemittanceInformationSCTChoice()` Create an instance of `RemittanceInformationSCTChoice`
`ServiceLevelSCT` `createServiceLevelSCT()` Create an instance of `ServiceLevelSCT`
`StructuredRemittanceInformationSCT` `createStructuredRemittanceInformationSCT()` Create an instance of `StructuredRemittanceInformationSCT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.pain_001_002_02

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentificationSCT

    public AccountIdentificationSCT createAccountIdentificationSCT()

Create an instance of `AccountIdentificationSCT`

#### createAmountTypeSCT

    public AmountTypeSCT createAmountTypeSCT()

Create an instance of `AmountTypeSCT`

#### createBranchAndFinancialInstitutionIdentificationSCT

    public BranchAndFinancialInstitutionIdentificationSCT createBranchAndFinancialInstitutionIdentificationSCT()

Create an instance of `BranchAndFinancialInstitutionIdentificationSCT`

#### createCashAccountSCT1

    public CashAccountSCT1 createCashAccountSCT1()

Create an instance of `CashAccountSCT1`

#### createCashAccountSCT2

    public CashAccountSCT2 createCashAccountSCT2()

Create an instance of `CashAccountSCT2`

#### createCreditTransferTransactionInformationSCT

    public CreditTransferTransactionInformationSCT createCreditTransferTransactionInformationSCT()

Create an instance of `CreditTransferTransactionInformationSCT`

#### createCreditorReferenceInformationSCT

    public CreditorReferenceInformationSCT createCreditorReferenceInformationSCT()

Create an instance of `CreditorReferenceInformationSCT`

#### createCreditorReferenceTypeSCT

    public CreditorReferenceTypeSCT createCreditorReferenceTypeSCT()

Create an instance of `CreditorReferenceTypeSCT`

#### createCurrencyAndAmountSCT

    public CurrencyAndAmountSCT createCurrencyAndAmountSCT()

Create an instance of `CurrencyAndAmountSCT`

#### createDateAndPlaceOfBirth

    public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

Create an instance of `DateAndPlaceOfBirth`

#### createFinancialInstitutionIdentificationSCT

    public FinancialInstitutionIdentificationSCT createFinancialInstitutionIdentificationSCT()

Create an instance of `FinancialInstitutionIdentificationSCT`

#### createGenericIdentification3

    public GenericIdentification3 createGenericIdentification3()

Create an instance of `GenericIdentification3`

#### createGenericIdentification4

    public GenericIdentification4 createGenericIdentification4()

Create an instance of `GenericIdentification4`

#### createGroupHeaderSCT

    public GroupHeaderSCT createGroupHeaderSCT()

Create an instance of `GroupHeaderSCT`

#### createOrganisationIdentificationSCTChoice

    public OrganisationIdentificationSCTChoice createOrganisationIdentificationSCTChoice()

Create an instance of `OrganisationIdentificationSCTChoice`

#### createPartySCTChoice

    public PartySCTChoice createPartySCTChoice()

Create an instance of `PartySCTChoice`

#### createPartyIdentificationSCT1

    public PartyIdentificationSCT1 createPartyIdentificationSCT1()

Create an instance of `PartyIdentificationSCT1`

#### createPartyIdentificationSCT2

    public PartyIdentificationSCT2 createPartyIdentificationSCT2()

Create an instance of `PartyIdentificationSCT2`

#### createPaymentIdentification1

    public PaymentIdentification1 createPaymentIdentification1()

Create an instance of `PaymentIdentification1`

#### createPaymentInstructionInformationSCT

    public PaymentInstructionInformationSCT createPaymentInstructionInformationSCT()

Create an instance of `PaymentInstructionInformationSCT`

#### createPaymentTypeInformationSCT1

    public PaymentTypeInformationSCT1 createPaymentTypeInformationSCT1()

Create an instance of `PaymentTypeInformationSCT1`

#### createPaymentTypeInformationSCT2

    public PaymentTypeInformationSCT2 createPaymentTypeInformationSCT2()

Create an instance of `PaymentTypeInformationSCT2`

#### createPersonIdentification3

    public PersonIdentification3 createPersonIdentification3()

Create an instance of `PersonIdentification3`

#### createPostalAddressSCT

    public PostalAddressSCT createPostalAddressSCT()

Create an instance of `PostalAddressSCT`

#### createPurposeSCT

    public PurposeSCT createPurposeSCT()

Create an instance of `PurposeSCT`

#### createRemittanceInformationSCTChoice

    public RemittanceInformationSCTChoice createRemittanceInformationSCTChoice()

Create an instance of `RemittanceInformationSCTChoice`

#### createServiceLevelSCT

    public ServiceLevelSCT createServiceLevelSCT()

Create an instance of `ServiceLevelSCT`

#### createStructuredRemittanceInformationSCT

    public StructuredRemittanceInformationSCT createStructuredRemittanceInformationSCT()

Create an instance of `StructuredRemittanceInformationSCT`

#### createPain00100102

    public Pain00100102 createPain00100102()

Create an instance of `Pain00100102`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`